Bienvenue, Invité
Nom d'utilisateur : Mot de passe : Se souvenir de moi

SUJET : Erreur à l'install de la 9.0.3 en localhost apache

Erreur à l'install de la 9.0.3 en localhost apache il y a 3 jours 20 heures #110614

  • MICHEL
  • Portrait de MICHEL
  • Hors ligne
  • Fresh Boarder
  • Messages : 6
  • Karma: 0
Bonjour,

Voici le message d'erreur que je rencontre en lançant l'install en localhost de Dolibarr 9.0.3

Warning: require(../../main.inc.php): failed to open stream: No such file or directory in C:\wamp64\www\dolibarr-9.0.3\htdocs\index.php on line 31

Fatal error: require(): Failed opening required '../../main.inc.php' (include_path='.;C:\php\pear') in C:\wamp64\www\dolibarr-9.0.3\htdocs\index.php on line 31

Que dois je faire, svp ?
L'administrateur a désactivé l'accès en écriture pour le public.

Erreur à l'install de la 9.0.3 en localhost apache il y a 3 jours 19 heures #110616

  • ksar
  • Portrait de ksar
  • Hors ligne
  • Admin
  • Bijour!
  • Messages : 733
  • Remerciements reçus 219
  • Karma: 12
Bonjour,

Il vous manque des fichiers.
Remettez tous les fichiers de dolibarr dans C:\wamp64\www\
L'administrateur a désactivé l'accès en écriture pour le public.

Erreur à l'install de la 9.0.3 en localhost apache il y a 3 jours 18 heures #110619

  • MICHEL
  • Portrait de MICHEL
  • Hors ligne
  • Fresh Boarder
  • Messages : 6
  • Karma: 0
Merci pour votre retour.
j'ai réinstaller les fichiers et réussi l’installation.

Cependant 2 problèmes :
Dans le calendrier: Erreur Warning: count(): Parameter must be an array or an object that implements Countable in C:\wamp64\www\dolibarr-9.0.3\htdocs\resource\class\html.formresource.class.php on line 110

Le module complémentaire dolichat-5.0.1 acheté ce matin semble ne pas fonctionner. Pas d'icône (juste un mot: "com") et il ouvre une page vide quand je click sur "com"

Merci pour votre réactivité
L'administrateur a désactivé l'accès en écriture pour le public.

Erreur à l'install de la 9.0.3 en localhost apache il y a 3 jours 13 heures #110633

  • ksar
  • Portrait de ksar
  • Hors ligne
  • Admin
  • Bijour!
  • Messages : 733
  • Remerciements reçus 219
  • Karma: 12
Bonjour,

Pour le premier point c'est un warning a priori pas grave.

Pour le deuxième point, demandez le remboursement, dolichat est compatible avec Dolibarr 5.0.1 maximum = NON compatible V6-7-8 et encore moins votre V9
L'administrateur a désactivé l'accès en écriture pour le public.

Erreur à l'install de la 9.0.3 en localhost apache il y a 2 jours 21 heures #110643

  • MICHEL
  • Portrait de MICHEL
  • Hors ligne
  • Fresh Boarder
  • Messages : 6
  • Karma: 0
Bonjour,

Effectivement ce n'est qu'un warning mais qui reste fixe et empêche l'utilisation de l'agenda, ce qui est très pénalisant.

De plus 6 warnings supplémentaires apparaissent en vue par utilisateur.

J'ai fait un print écran que je joins sur un fichier.

Si quelqu'un peut m'aider pour résoudre ces anomalies ?

j'ai acheté un autre chat sur le dolistore qui fonctionne bien. Je verrais si je parviendrais à me faire rembourser le "dolichat " obsolète.

J'ai besoin d'un conseil, svp car je veux installer un module pour passer mon dolibarr en "responsive" et j'ai vu qu'il y en a plusieurs. En avez vous un à recommander plus qu'un autre pour ma V9 ?

Cordialement
L'administrateur a désactivé l'accès en écriture pour le public.

Erreur à l'install de la 9.0.3 en localhost apache il y a 2 jours 20 heures #110647

  • yves57
  • Portrait de yves57
  • Hors ligne
  • Gold Boarder
  • Messages : 590
  • Remerciements reçus 120
  • Karma: 10
MICHEL écrit:
Cependant 2 problèmes :
Dans le calendrier: Erreur Warning: count(): Parameter must be an array or an object that implements Countable in C:\wamp64\www\dolibarr-9.0.3\htdocs\resource\class\html.formresource.class.php on line 110
Bonjour,
Ce problème est lié à l'utilisation de PHP supérieur à 7.2.
La solution a été reportée dans la v10, mais pas la v9.
github.com/Dolibarr/dolibarr/commit/794e...25ec31d6d4ad6c701455
Vous pouvez soit revenir à un PHP antérieur, soit appliquer la correction.
L'administrateur a désactivé l'accès en écriture pour le public.
Cet utilisateur a été remercié pour son message par: MICHEL

Erreur à l'install de la 9.0.3 en localhost apache il y a 2 jours 20 heures #110648

  • pm17
  • Portrait de pm17
  • Hors ligne
  • Modérateur
  • Linux/Mac/Windows Un petit merci sur mon profil
  • Messages : 1056
  • Remerciements reçus 145
  • Karma: 16
MICHEL écrit:
J'ai besoin d'un conseil, svp car je veux installer un module pour passer mon dolibarr en "responsive" et j'ai vu qu'il y en a plusieurs. En avez vous un à recommander plus qu'un autre pour ma V9 ?
Cordialement

Pour le theme il y a (choix perso) oblyon et amarok
mais c une question de gout
www.dolistore.com/fr/recherche?controlle...nsive&submit_search=
L'administrateur a désactivé l'accès en écriture pour le public.
Cet utilisateur a été remercié pour son message par: MICHEL

Erreur à l'install de la 9.0.3 en localhost apache il y a 2 jours 19 heures #110651

  • MICHEL
  • Portrait de MICHEL
  • Hors ligne
  • Fresh Boarder
  • Messages : 6
  • Karma: 0
J'ai répondu un peu trop vite. Si le 1er Warning a bel et bien disparu, les autres qui apparaissent en vue utilisateurs sont toujours là....
L'administrateur a désactivé l'accès en écriture pour le public.

Erreur à l'install de la 9.0.3 en localhost apache il y a 2 jours 19 heures #110652

  • MICHEL
  • Portrait de MICHEL
  • Hors ligne
  • Fresh Boarder
  • Messages : 6
  • Karma: 0
Warning: count(): Parameter must be an array or an object that implements Countable in C:\wamp64\www\dolibarr-9.0.3\htdocs\comm\action\peruser.php on line 1192 / 1193 / 1197 / 1204 / 1210 / 1217

Le même groupe de ligne plusieurs fois ( j'ai un utilisateur créé en plus de admin )

Merci
L'administrateur a désactivé l'accès en écriture pour le public.

Erreur à l'install de la 9.0.3 en localhost apache il y a 2 jours 17 heures #110654

  • Arre
  • Portrait de Arre
  • En ligne
  • Modérateur
  • Messages : 1278
  • Remerciements reçus 288
  • Karma: 37
Salut MICHEL,

regarde ce post : www.dolibarr.fr/forum/3-installation/637...essage-warning-count

quelqu'un avait la même erreur, et ça venait de la version de PHP.
Dernière édition: il y a 2 jours 14 heures par ksar.
L'administrateur a désactivé l'accès en écriture pour le public.
Cet utilisateur a été remercié pour son message par: MICHEL

Erreur à l'install de la 9.0.3 en localhost apache il y a 2 jours 4 heures #110666

  • yves57
  • Portrait de yves57
  • Hors ligne
  • Gold Boarder
  • Messages : 590
  • Remerciements reçus 120
  • Karma: 10
MICHEL écrit:
Warning: count(): Parameter must be an array or an object that implements Countable in C:\wamp64\www\dolibarr-9.0.3\htdocs\comm\action\peruser.php on line 1192 / 1193 / 1197 / 1204 / 1210 / 1217

Le même groupe de ligne plusieurs fois ( j'ai un utilisateur créé en plus de admin )

Merci
Là, par contre, je ne trouve pas de modification récente dans cette page.
Le travail semble rester à faire.
L'administrateur a désactivé l'accès en écriture pour le public.
Cet utilisateur a été remercié pour son message par: MICHEL

Erreur à l'install de la 9.0.3 en localhost apache il y a 1 jour 17 heures #110695

  • MICHEL
  • Portrait de MICHEL
  • Hors ligne
  • Fresh Boarder
  • Messages : 6
  • Karma: 0
Bonjour,

Sur ce lien ( github.com/Dolibarr/dolibarr/commit/794e...25ec31d6d4ad6c701455) donné par Yves 57 on trouve la réparation de la ligne 110, cependant j'ai d'autres warning sur Agenda - Vue par utilisateur
( Warning: count(): Parameter must be an array or an object that implements Countable in C:\wamp64\www\dolibarr-9.0.3\htdocs\comm\action\peruser.php on line 1192 / 1193 / 1197 / 1204 / 1210 / 1217

Le même groupe de ligne plusieurs fois ( j'ai un utilisateur créé en plus de admin )

que le 1er lien n'a pas réparé .

Merci quand même. Si tu connais quelque chose pur ceux là, je suis preneur.

Merci

Merci
L'administrateur a désactivé l'accès en écriture pour le public.

Erreur à l'install de la 9.0.3 en localhost apache il y a 1 jour 14 heures #110697

  • ksar
  • Portrait de ksar
  • Hors ligne
  • Admin
  • Bijour!
  • Messages : 733
  • Remerciements reçus 219
  • Karma: 12
Bonjour,

La solution est de passer en php7.1
L'administrateur a désactivé l'accès en écriture pour le public.